# SPDX-FileCopyrightText: no
# SPDX-License-Identifier: CC0-1.0
#
# For documentation see Users Module users.conf
#
---
# Used as default groups for the created user.
# Adjust to your Distribution defaults.
defaultGroups:
    - wheel
    - rfkill
    - sys
    - name: users
      must_exist: true
      system: true
    - lp
    - video
    - network
    - storage
    - name: wheel
      must_exist: false
      system: true
    - audio
    - realtime

autologinGroup:  autologin

doAutologin:     true

sudoersGroup:    wheel

setRootPassword: true

doReusePassword: true

passwordRequirements:
    minLength: -1
    maxLength: -1
    libpwquality:
        - minlen=0
        - minclass=0

allowWeakPasswords: true

allowWeakPasswordsDefault: true

userShell: /bin/bash

setHostname: EtcFile

writeHostsFile: true
